## ros-humble-rosidl-generator-c 3.1.5

=== debian/changelog ===
ros-humble-rosidl-generator-c (3.1.5-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosidl-generator-c (3.1.4-2jammy) jammy; urgency=high

  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>) (#692 <https://github.com/ros2/rosidl/issues/692>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosidl-generator-c (3.1.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rosidl-generator-c (3.1.2-2jammy) jammy; urgency=high

  * Fix error handling when copying C sequence messages (#671 <https://github.com/ros2/rosidl/issues/671>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosidl-generator-c (3.1.1-2jammy) jammy; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Set the output size unconditionally when copying sequences (#669 <https://github.com/ros2/rosidl/issues/669>)
  * Contributors: Nikolai Morin, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-rosidl-generator-c (3.1.0-2jammy) jammy; urgency=high

  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>)
  * Generate documentation in generated C header files based on ROS interfaces comments (#593 <https://github.com/ros2/rosidl/issues/593>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rosidl-generator-c (3.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosidl-generator-c (3.0.0-2jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.5.0-2jammy) jammy; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 10 Aug 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.4.0-2jammy) jammy; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.3.0-2jammy) jammy; urgency=high

  * Fix a cpplint allocator regression. (#590 <https://github.com/ros2/rosidl/issues/590>)
  * Use RCUtils allocators in rosidl_generator_c (#584 <https://github.com/ros2/rosidl/issues/584>)
  * Contributors: Chris Lalancette, Pablo Garrido

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 11 Jun 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.2.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.2.0-2jammy) jammy; urgency=high

  * Expose C code generation via rosidl generate CLI (#569 <https://github.com/ros2/rosidl/issues/569>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.1.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 09 Mar 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.0.3-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-rosidl-generator-c (2.0.2-2jammy) jammy; urgency=high

  * Strip action service suffixes from C include prefix (#538 <https://github.com/ros2/rosidl/issues/538>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (2.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Sep 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (2.0.0-2jammy) jammy; urgency=high

  * Fix the declared language for a few packages (#530 <https://github.com/ros2/rosidl/issues/530>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 24 Sep 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (1.1.0-2jammy) jammy; urgency=high

  * Do not depend on rosidl_runtime_c when tests are disabled (#503 <https://github.com/ros2/rosidl/issues/503>)
  * Contributors: Ben Wolsieffer

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (1.0.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 03 Jun 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (1.0.0-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 22 May 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (0.9.2-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 19 May 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (0.9.1-2jammy) jammy; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-rosidl-generator-c (0.9.0-2jammy) jammy; urgency=high


